<?php
/**
 * Created by PhpStorm.
 * User: oriol
 * Date: 20/04/16
 * Time: 19:10
 */

namespace tests;
use App\Persona;

class PersonaTest extends \TestCase
{
    public function testPersonaCanBeCreated()
    {
        $Persona = new Persona();
    }
    /*public function testsearchPersonaTrue(){
        $Persona = new Persona();
        $dni = '53395373E';
        $response = $Persona->searchPersona($dni);
        $this->assertEquals(True,$response);
    }
    public function testsearchPersonaFalse(){
        $Persona = new Persona();
        $dni = '31111E';
        $response = $Persona->searchPersona($dni);
        $this->assertEquals(False,$response);
    }
    
    /*public function testaddPersonaExist(){
        $Persona = new Persona();
        $nom = 'Oriol';
        $cognom = 'Riu';
        $direccio = 'Carrer Major';
        $dni = '11111111T';
        $codi_postal = '25282';
        $poblacio = 'Sant Llorenç de Morunys';
        if($Persona->searchPersona($dni)){
            $response = $Persona->addPersona($nom,$cognom,$direccio,$dni,$codi_postal,$poblacio);
            $this->assertEquals($response,False);
        }else{
            $response = $Persona->addPersona($nom,$cognom,$direccio,$dni,$codi_postal,$poblacio);
            $this->assertEquals($response,True);
        }
    }*/

}
